Main Page Modules Alphabetical List Compound List File List Compound Members File Members

# Rendering Context Management
[PGFX Graphics Interface]

## Defines
#define | PGFX_IMMEDIATE 1
| PGFX canvas immediate mode.
#define | PGFX_PERSISTENT 2
| PGFX canvas persistent mode.
## Functions
pgcontext | pgNewCanvasContext (pghandle canvas, short mode)
| Create a context for rendering to a canvas.
pgcontext | pgNewBitmapContext (pghandle bitmap)
| Create a context for rendering to a bitmap.
void | pgDeleteContext (pgcontext c)
| Delete a PGFX context.

## Detailed Description

This section contains functions and constants to create and delete PGFX rendering contexts. Note that rendering contexts themselves are client-side objects (as are all objects without handles) and they are not automatically cleaned up with handle contexts. You must explicitely use pgDeleteContext().

## Define Documentation

#define PGFX_IMMEDIATE 1

| PGFX canvas immediate mode. All primitives are rendered, but not stored. Note that this includes nonvisual primitives like pgSetColor, pgSetMapping, and pgSetLgop. For a slightly lower-level explanation, this mode sets the default gropnode flags to PG_GROPF_TRANSIENT so that gropnodes are deleted immediately after rendering. See also: pgWriteCmd, PG_WIDGET_CANVAS, PG_GROPF_TRANSIENT, pgNewCanvasContext

#define PGFX_PERSISTENT 2

| PGFX canvas persistent mode. Primitives are rendered and stored in the PicoGUI server. This allows automatic redrawing by the server without client intervention. Primitives can be manipulated after being sent to the server. See also: pgWriteCmd, PG_WIDGET_CANVAS, pgSetMapping, pgNewCanvasContext

## Function Documentation

void pgDeleteContext | ( | pgcontext | c | ) |

| Delete a PGFX context.

pgcontext pgNewBitmapContext | ( | pghandle | bitmap | ) |

  | Create a context for rendering to a bitmap. Parameters:
  bitmap | Handle to a bitmap
Returns: A pgcontext that can be used with PGFX primitives. It must be deleted with pgDeleteContext `bitmap` may be zero to render directly to the display if your application has registered for exclusive display access. See also: pgDeleteContext, pgNewBitmap, pgCreateBitmap, PG_OWN_DISPLAY, pgRegisterOwner

pgcontext pgNewCanvasContext | ( | pghandle | canvas,
|  | short | mode
| ) |

  | Create a context for rendering to a canvas. Parameters:
  canvas | Handle to a canvas widget
  mode | Rendering mode: PGFX_IMMEDIATE or PGFX_PERSISTENT
Returns: A pgcontext that can be used with PGFX primitives. It must be deleted with pgDeleteContext See also: PGFX_IMMEDIATE, PGFX_PERSISTENT, PG_WIDGET_CANVAS, pgDeleteContext